Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_AccessControlEntry

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_SystemObject

                        |

                        +--oracle.ifs.server.S_TieSystemObject

                              |

                              +--oracle.ifs.server.S_AccessControlEntry

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TieAccessControlEntry

public class S_AccessControlEntry
extends S_TieSystemObject

This is server side representation of the AccessControlEntry class.

See Also:
  `S_LibraryService`, `S_LibrarySession`

Method Summary
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Add to the S_LibraryObjectDefinition for this class.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for creating this object.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for updating this ACE Permission bundle option is used here to set a system attribute.
`AccessLevel` | `getAccessLevel()` Returns the access level represented by this ACE
`S_AccessControlList` | `getAcl()` Returns the ACL for this ACE.

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, extendedPreFree, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, hasNameAttribute, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### getAccessLevel

    public AccessLevel getAccessLevel()
                               throws IfsException

  Returns the access level represented by this ACE
  Returns:
    the access level represented by this ACE
  Throws:
    `IfsException` - if the operation fails.

### getAcl

    public S_AccessControlList getAcl()
                               throws IfsException

  Returns the ACL for this ACE.
  Returns:
    the ACL
  Throws:
    `IfsException` - if the operation fails

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Add to the S_LibraryObjectDefinition for this class. This this called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.
  Overrides:
    `deriveDefinition` in class `S_LibraryObject`
  Parameters:
    `def` - the definition of the target object.
  Throws:
    `IfsException` - if operation fails.

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Update any system attributes appropriate for creating this object. The sequence attribute is set here.
  Overrides:
    `extendedPreInsert` in class `S_SystemObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if the operation fails.

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Update any system attributes appropriate for updating this ACE Permission bundle option is used here to set a system attribute.
  Overrides:
    `extendedPreUpdate` in class `S_LibraryObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD